package com.ruoyi.ibs.list.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 走访名单对象 visit_info
 * 
 * @author ruoyi
 * @date 2025-04-01
 */
public class VisitInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 任务id */
    @Excel(name = "任务id")
    private String campaignId;

    private String campaignName;

    /** 走访客户经理姓名 */
    @Excel(name = "走访客户经理姓名")
    private String visName;

    /** 走访客户经理id */
    @Excel(name = "走访客户经理id")
    private String visId;

    /** 走访客户经理部门 */
    @Excel(name = "走访客户经理部门")
    private String deptId;

    /** 走访时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "走访时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date visTime;

    /** 走访客户名称 */
    @Excel(name = "走访客户名称")
    private String custName;

    /** 客户证件号 */
    @Excel(name = "客户证件号")
    private String custIdc;

    /** 企业（商户）统信码 */
    @Excel(name = "企业", readConverterExp = "商=户")
    private String socialCreditCode;

    /** 客户类型 0个人，1商户，2企业 */
    @Excel(name = "客户类型 0个人，1商户，2企业")
    private String custType;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public String getCampaignName() {
        return campaignName;
    }

    public void setCampaignName(String campaignName) {
        this.campaignName = campaignName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCampaignId(String campaignId) 
    {
        this.campaignId = campaignId;
    }

    public String getCampaignId() 
    {
        return campaignId;
    }
    public void setVisName(String visName) 
    {
        this.visName = visName;
    }

    public String getVisName() 
    {
        return visName;
    }
    public void setVisId(String visId) 
    {
        this.visId = visId;
    }

    public String getVisId() 
    {
        return visId;
    }
    public void setDeptId(String deptId) 
    {
        this.deptId = deptId;
    }

    public String getDeptId() 
    {
        return deptId;
    }
    public void setVisTime(Date visTime) 
    {
        this.visTime = visTime;
    }

    public Date getVisTime() 
    {
        return visTime;
    }
    public void setCustName(String custName) 
    {
        this.custName = custName;
    }

    public String getCustName() 
    {
        return custName;
    }
    public void setCustIdc(String custIdc) 
    {
        this.custIdc = custIdc;
    }

    public String getCustIdc() 
    {
        return custIdc;
    }
    public void setSocialCreditCode(String socialCreditCode) 
    {
        this.socialCreditCode = socialCreditCode;
    }

    public String getSocialCreditCode() 
    {
        return socialCreditCode;
    }
    public void setCustType(String custType) 
    {
        this.custType = custType;
    }

    public String getCustType() 
    {
        return custType;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("campaignId", getCampaignId())
            .append("visName", getVisName())
            .append("visId", getVisId())
            .append("deptId", getDeptId())
            .append("visTime", getVisTime())
            .append("custName", getCustName())
            .append("custIdc", getCustIdc())
            .append("socialCreditCode", getSocialCreditCode())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("custType", getCustType())
            .append("deptName", getDeptName())
            .toString();
    }
}
